--- old/usr/src/cmd/cmd-inet/usr.sbin/wificonfig/Makefile	Tue Jan  8 12:31:18 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/wificonfig/Makefile	Tue Jan  8 12:31:18 2019
@@ -23,6 +23,7 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		wificonfig	
 OBJS=		wificonfig.o
@@ -37,6 +38,9 @@
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += index_overflow,memcpy_overflow
+
 .KEEP_STATE:
 
 all:	$(PROG)
--- old/usr/src/cmd/cpc/cpustat/Makefile	Tue Jan  8 12:31:20 2019
+++ new/usr/src/cmd/cpc/cpustat/Makefile	Tue Jan  8 12:31:20 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		cpustat
 OBJS =		$(PROG).o caps.o time.o setgrp.o strtoset.o
@@ -40,6 +41,9 @@
 CPPFLAGS	+= -D_REENTRANT -I$(SRC)/lib/libcpc/common -I$(STATCOMMONDIR)
 LDLIBS +=	-lcpc -lkstat
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:	$(PROG)
--- old/usr/src/cmd/cpc/cputrack/Makefile.com	Tue Jan  8 12:31:22 2019
+++ new/usr/src/cmd/cpc/cputrack/Makefile.com	Tue Jan  8 12:31:22 2019
@@ -22,8 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 include	../../../Makefile.cmd
 
@@ -36,6 +35,9 @@
 CFLAGS64 +=	$(CCVERBOSE) $(CTF_FLAGS)
 CPPFLAGS +=	-I$(SRC)/lib/libcpc/common
 
+# not linted
+SMATCH=off
+
 LINTFLAGS +=	-u
 LINTFLAGS64 +=	-u
 
--- old/usr/src/cmd/cpio/Makefile	Tue Jan  8 12:31:23 2019
+++ new/usr/src/cmd/cpio/Makefile	Tue Jan  8 12:31:24 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= cpio
 
@@ -32,12 +33,15 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LDLIBS += -lsec -lcmdutils -lnvpair
 XGETFLAGS += -a -x cpio.xcl
 
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 $(PROG): $(OBJS)
 	$(LINK.c) $(OBJS) -o $@ $(LDLIBS)
--- old/usr/src/cmd/cron/Makefile	Tue Jan  8 12:31:27 2019
+++ new/usr/src/cmd/cron/Makefile	Tue Jan  8 12:31:27 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 DEFAULTFILES =	cron.dfl
 
@@ -39,6 +40,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-value
 
+# not linted
+SMATCH=off
+
 ROOTVAR =	$(ROOT)/var
 
 ROOTSPCRON =	$(ROOTVAR)/spool/cron
--- old/usr/src/cmd/csh/i386/Makefile	Tue Jan  8 12:31:29 2019
+++ new/usr/src/cmd/csh/i386/Makefile	Tue Jan  8 12:31:29 2019
@@ -6,8 +6,9 @@
 # Copyright (c) 1980 Regents of the University of California.
 # All rights reserved.  The Berkeley Software License Agreement
 # specifies the terms and conditions for redistribution.
-
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 # C Shell with process control; VM/UNIX VAX Makefile
 # Bill Joy UC Berkeley; Jim Kulp IIASA, Austria
 #
@@ -34,6 +35,9 @@
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-extra
 
+# "missing type for func"
+SMATCH=off
+
 MAPFILES =	../mapfile-intf $(MAPFILE.NGB)
 LDFLAGS +=	$(MAPFILES:%=-M%)
 
--- old/usr/src/cmd/cxgbetool/Makefile	Tue Jan  8 12:31:32 2019
+++ new/usr/src/cmd/cxgbetool/Makefile	Tue Jan  8 12:31:32 2019
@@ -12,6 +12,8 @@
 #
 # Copyright (c) 2018 by Chelsio Communications, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
+
 PROG =  cxgbetool
 
 include ../Makefile.cmd
@@ -18,6 +20,8 @@
 
 CFLAGS += $(CCVERBOSE) -I$(SRC)/uts/common/io/cxgbe/t4nex -I$(SRC)/uts/common/io/cxgbe/firmware
 
+SMOFF += all_func_returns
+
 all: $(PROG)
 
 install: all $(ROOTUSRSBINPROG)
--- old/usr/src/cmd/dc/Makefile	Tue Jan  8 12:31:33 2019
+++ new/usr/src/cmd/dc/Makefile	Tue Jan  8 12:31:33 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= dc
 XPG6PROG= dc
@@ -37,6 +38,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(MAPFILE.NGB) $(PROG) $(XPG6)
--- old/usr/src/cmd/devfsadm/Makefile.com	Tue Jan  8 12:31:36 2019
+++ new/usr/src/cmd/devfsadm/Makefile.com	Tue Jan  8 12:31:36 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 # This target builds both a command (daemon) and various shared objects.  This
 # isn't a typical target, and the inclusion of both library and command
@@ -99,6 +100,9 @@
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 # Define the dependencies required by devfsadm and all shared objects.
 LDLIBS +=		-ldevinfo
 devfsadm :=		LDLIBS += -lgen -lsysevent -lnvpair -lzonecfg -lbsm
--- old/usr/src/cmd/devmgmt/cmds/Makefile	Tue Jan  8 12:31:38 2019
+++ new/usr/src/cmd/devmgmt/cmds/Makefile	Tue Jan  8 12:31:38 2019
@@ -23,6 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include ../../Makefile.cmd
 
@@ -38,6 +39,8 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+SMOFF += signed
+
 .KEEP_STATE:
 
 .PARALLEL: $(PROG)
--- old/usr/src/cmd/diskscan/Makefile	Tue Jan  8 12:31:41 2019
+++ new/usr/src/cmd/diskscan/Makefile	Tue Jan  8 12:31:41 2019
@@ -20,15 +20,18 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright (c) 1989, 2001 by Sun Microsystems, Inc.
 # All rights reserved.
+#
+# Copyright (c) 2018, Joyent, Inc.
 
+
 PROG= diskscan
 
 include ../Makefile.cmd
 
+SMOFF += leaks
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/dladm/Makefile	Tue Jan  8 12:31:42 2019
+++ new/usr/src/cmd/dladm/Makefile	Tue Jan  8 12:31:42 2019
@@ -18,11 +18,10 @@
 #
 # CDDL HEADER END
 #
-
-#
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		dladm
 ROOTFS_PROG=	$(PROG)
@@ -45,6 +44,8 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+SMOFF += snprintf_overflow
+
 # For headers from librstp.
 LINTFLAGS +=	-erroff=E_TRAILING_COMMA_IN_ENUM
 lint :=		ZLAZYLOAD=
--- old/usr/src/cmd/dlstat/Makefile	Tue Jan  8 12:31:45 2019
+++ new/usr/src/cmd/dlstat/Makefile	Tue Jan  8 12:31:45 2019
@@ -22,7 +22,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= dlstat
 
@@ -35,6 +35,9 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 XGETFLAGS += -a -x $(PROG).xcl
 LDLIBS += -L$(ROOT)/lib
 LDLIBS += -ldladm -lofmt
--- old/usr/src/cmd/dtrace/test/cmd/baddof/Makefile	Tue Jan  8 12:31:47 2019
+++ new/usr/src/cmd/dtrace/test/cmd/baddof/Makefile	Tue Jan  8 12:31:47 2019
@@ -23,6 +23,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include $(SRC)/cmd/Makefile.cmd
 
@@ -40,6 +41,9 @@
 
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 $(CMDS) := FILEMODE = 0555
 
 all: $(SRCS)
--- old/usr/src/cmd/dtrace/test/cmd/badioctl/Makefile	Tue Jan  8 12:31:50 2019
+++ new/usr/src/cmd/dtrace/test/cmd/badioctl/Makefile	Tue Jan  8 12:31:50 2019
@@ -23,6 +23,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include $(SRC)/cmd/Makefile.cmd
 
@@ -40,6 +41,9 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-variable
 
+# not linted
+SMATCH=off
+
 $(CMDS) := FILEMODE = 0555
 
 all: $(SRCS)
--- old/usr/src/cmd/dtrace/test/tst/Makefile.com	Tue Jan  8 12:31:53 2019
+++ new/usr/src/cmd/dtrace/test/tst/Makefile.com	Tue Jan  8 12:31:53 2019
@@ -23,6 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include $(SRC)/cmd/Makefile.cmd
 
@@ -66,6 +67,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
+# not linted
+SMATCH=off
+
 all: $(EXES)
 
 clean lint:
--- old/usr/src/cmd/ed/Makefile	Tue Jan  8 12:31:54 2019
+++ new/usr/src/cmd/ed/Makefile	Tue Jan  8 12:31:54 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= ed
 XPG4PROG= ed
@@ -42,6 +43,10 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-uninitialized
+
+# not linted
+SMATCH=off
+
 $(XPG4) := CFLAGS += -DXPG4  
 $(XPG6) := CFLAGS += -DXPG6 -I$(SRC)/lib/libc/inc 
 lint := LDLIBS += -lgen -lcrypt
--- old/usr/src/cmd/eeprom/Makefile.com	Tue Jan  8 12:31:55 2019
+++ new/usr/src/cmd/eeprom/Makefile.com	Tue Jan  8 12:31:55 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Create default so empty rules don't
@@ -41,6 +42,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 LINT_OBJS = $(OBJS:%.o=%.ln)
 SOURCES = $(OBJS:%.o=%.c)
 
--- old/usr/src/cmd/enhance/Makefile	Tue Jan  8 12:31:55 2019
+++ new/usr/src/cmd/enhance/Makefile	Tue Jan  8 12:31:55 2019
@@ -23,8 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= enhance
 
@@ -41,6 +40,8 @@
 
 lint := LINTFLAGS += -ux
 
+SMOFF += all_func_returns
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/eqn/eqn.d/Makefile	Tue Jan  8 12:31:56 2019
+++ new/usr/src/cmd/eqn/eqn.d/Makefile	Tue Jan  8 12:31:56 2019
@@ -2,6 +2,8 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 
 include		../../Makefile.cmd
 
@@ -35,6 +37,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all :		$(PROG) 
--- old/usr/src/cmd/eqn/neqn.d/Makefile	Tue Jan  8 12:31:57 2019
+++ new/usr/src/cmd/eqn/neqn.d/Makefile	Tue Jan  8 12:31:57 2019
@@ -2,6 +2,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include		../../Makefile.cmd
 
@@ -30,6 +31,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-label
 
+# not linted
+SMATCH=off
+
 #
 # for message catalog
 #
--- old/usr/src/cmd/etdump/Makefile	Tue Jan  8 12:31:58 2019
+++ new/usr/src/cmd/etdump/Makefile	Tue Jan  8 12:31:58 2019
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2018 Toomas Soome <tsoome@me.com>
+# Copyright (c) 2019, Joyent, Inc.
 #
 
 PROG=	etdump
@@ -19,6 +20,9 @@
 
 include ../Makefile.cmd
 
+# comes from FreeBSD upstream
+SMOFF += all_func_returns
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/expand/Makefile	Tue Jan  8 12:31:58 2019
+++ new/usr/src/cmd/expand/Makefile	Tue Jan  8 12:31:58 2019
@@ -23,8 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/expand/Makefile 
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		expand  unexpand
 SRCS=		$(PROG:=.c)
@@ -37,9 +36,11 @@
 
 CLOBBERFILES += expand_cmd.c
 
+SMOFF += signed
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTPROG)
 
--- old/usr/src/cmd/expr/Makefile	Tue Jan  8 12:31:59 2019
+++ new/usr/src/cmd/expr/Makefile	Tue Jan  8 12:31:59 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= expr
 XPG4PROG= expr
@@ -38,6 +39,8 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-extra
+# "missing type for func"
+SMATCH=off
 $(XPG4) := CFLAGS += -DXPG4
 $(XPG6) := CFLAGS += -DXPG6
 
--- old/usr/src/cmd/exstr/Makefile	Tue Jan  8 12:32:00 2019
+++ new/usr/src/cmd/exstr/Makefile	Tue Jan  8 12:32:00 2019
@@ -21,6 +21,7 @@
 #
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 PROG= exstr
@@ -29,9 +30,12 @@
 
 CERRWARN += -_gcc=-Wno-extra
 
+# "missing type for func"
+SMATCH=off
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTPROG)
 
--- old/usr/src/cmd/factor/Makefile	Tue Jan  8 12:32:01 2019
+++ new/usr/src/cmd/factor/Makefile	Tue Jan  8 12:32:01 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= factor
 
@@ -30,6 +31,9 @@
 LDLIBS += -lm
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG) 
--- old/usr/src/cmd/fcinfo/Makefile	Tue Jan  8 12:32:01 2019
+++ new/usr/src/cmd/fcinfo/Makefile	Tue Jan  8 12:32:01 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 COMMONBASE = ../../common
 
@@ -49,6 +49,9 @@
 
 CERRWARN += -_gcc=-Wno-unused-variable
 
+# not linted
+SMATCH=off
+
 ROOTMANIFESTDIR=	$(ROOTSVCNETWORK)
 
 LDLIBS += -lHBAAPI
--- old/usr/src/cmd/fdformat/Makefile	Tue Jan  8 12:32:02 2019
+++ new/usr/src/cmd/fdformat/Makefile	Tue Jan  8 12:32:02 2019
@@ -22,8 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/fdformat/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= fdformat
 
@@ -32,6 +31,9 @@
 LDLIBS +=	-lvolmgt
 LINTFLAGS +=    -um
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 #
@@ -39,7 +41,7 @@
 #
 $(ROOTPROG) := FILEMODE = 04555
 
-all: $(PROG) 
+all: $(PROG)
 
 fdformat: fdformat.c
 	$(LINK.c) -o $@ ./fdformat.c $(LDLIBS)
--- old/usr/src/cmd/fdisk/Makefile	Tue Jan  8 12:32:03 2019
+++ new/usr/src/cmd/fdisk/Makefile	Tue Jan  8 12:32:03 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 1992, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #       Makefile for fdisk
 
@@ -34,6 +34,9 @@
 
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 
+# not linted
+SMATCH=off
+
 LDLIBS_i386= -lfdisk
 LDLIBS_sparc=
 LDLIBS += -ladm -lefi $(LDLIBS_$(MACH))
--- old/usr/src/cmd/ficl/Makefile.com	Tue Jan  8 12:32:05 2019
+++ new/usr/src/cmd/ficl/Makefile.com	Tue Jan  8 12:32:05 2019
@@ -12,6 +12,7 @@
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= ficl-sys
 OBJS= main.o
@@ -23,6 +24,8 @@
 LDLIBS += -lficl-sys -ltecla -lumem
 CPPFLAGS += -D_FILE_OFFSET_BITS=64 -I$(SRC)/common/ficl
 
+SMOFF += all_func_returns
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/file/Makefile	Tue Jan  8 12:32:06 2019
+++ new/usr/src/cmd/file/Makefile	Tue Jan  8 12:32:06 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= file
 XPG4PROG= file
@@ -43,6 +44,9 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-type-limits
 
+# not linted
+SMATCH=off
+
 POFILE= file_all.po
 POFILES= $(SRCS:%.c=%.po)
 
--- old/usr/src/cmd/filesync/Makefile	Tue Jan  8 12:32:07 2019
+++ new/usr/src/cmd/filesync/Makefile	Tue Jan  8 12:32:08 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= filesync
 
@@ -35,6 +36,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 FILEMODE= 0555
 
 .KEEP_STATE:
--- old/usr/src/cmd/flowstat/Makefile	Tue Jan  8 12:32:09 2019
+++ new/usr/src/cmd/flowstat/Makefile	Tue Jan  8 12:32:09 2019
@@ -22,6 +22,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=flowstat
 
@@ -38,6 +39,9 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 ROOTCFGDIR=	$(ROOTETC)/dladm
 
 .KEEP_STATE:
--- old/usr/src/cmd/fm/eversholt/Makefile.esc.com	Tue Jan  8 12:32:12 2019
+++ new/usr/src/cmd/fm/eversholt/Makefile.esc.com	Tue Jan  8 12:32:12 2019
@@ -17,12 +17,12 @@
 # information: Portions Copyright [yyyy] [name of copyright owner]
 #
 # CDDL HEADER END
-# 
 #
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
 # Copyright 2018 RackTop Systems.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 FMADIR = $(SRC)/cmd/fm
@@ -51,6 +51,8 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
 
+SMOFF += all_func_returns
+
 CTFCONVO = $(CTFCONVERT_O)
 CTFMRG = $(CTFMERGE) -L VERSION -o $@ $(OBJS)
 
--- old/usr/src/cmd/fm/fmd/Makefile.fmd	Tue Jan  8 12:32:14 2019
+++ new/usr/src/cmd/fm/fmd/Makefile.fmd	Tue Jan  8 12:32:14 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2015 RackTop Systems.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 .KEEP_STATE:
@@ -123,6 +124,9 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-clobbered
 
+# not linted
+SMATCH=off
+
 $(PROG) := LDFLAGS += -R/usr/lib/fm
 $(PROG) := LDLIBS += -L$(ROOTLIB)/fm -ltopo -ldiagcode -lsysevent -lsmbios \
 		-luuid -lnvpair -lexacct -lnsl -lumem -ldevinfo -lfmd_msg
--- old/usr/src/cmd/fm/fmstat/Makefile.com	Tue Jan  8 12:32:15 2019
+++ new/usr/src/cmd/fm/fmstat/Makefile.com	Tue Jan  8 12:32:15 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 .KEEP_STATE:
 .SUFFIXES:
@@ -47,6 +48,8 @@
 LDFLAGS += -R/usr/lib/fm
 LINTFLAGS += -mnu
 
+SMOFF += signed
+
 .NO_PARALLEL:
 .PARALLEL: $(OBJS) $(LINTFILES)
 
--- old/usr/src/cmd/fm/fmtopo/Makefile.com	Tue Jan  8 12:32:18 2019
+++ new/usr/src/cmd/fm/fmtopo/Makefile.com	Tue Jan  8 12:32:18 2019
@@ -24,7 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+# Copyright (c) 2018, Joyent, Inc.
 
 .KEEP_STATE:
 .SUFFIXES:
@@ -45,6 +45,9 @@
 LDFLAGS += -R/usr/lib/fm
 LINTFLAGS += -mnu
 
+# not linted
+SMATCH=off
+
 .NO_PARALLEL:
 .PARALLEL: $(OBJS) $(LINTFILES)
 
--- old/usr/src/cmd/fm/modules/common/disk-monitor/Makefile	Tue Jan  8 12:32:20 2019
+++ new/usr/src/cmd/fm/modules/common/disk-monitor/Makefile	Tue Jan  8 12:32:20 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 MODULE = disk-monitor
 CLASS = common
@@ -35,3 +36,6 @@
 LDLIBS += -lsysevent -lnvpair -lsmbios -lcfgadm -ltopo -luutil -lipmi
 LDFLAGS += -L$(ROOT)/usr/lib/fm -R/usr/lib/fm
 CERRWARN += -_gcc=-Wno-uninitialized
+
+# not linted
+SMATCH=off
--- old/usr/src/cmd/fm/modules/common/eversholt/Makefile	Tue Jan  8 12:32:22 2019
+++ new/usr/src/cmd/fm/modules/common/eversholt/Makefile	Tue Jan  8 12:32:22 2019
@@ -25,6 +25,7 @@
 #
 # eft.so (the eversholt DE)
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 .KEEP_STATE:
 
@@ -49,6 +50,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 $(PROG) := LDFLAGS += -R/usr/lib/fm
 $(PROG) := LDLIBS += -L$(ROOTLIB)/fm -ltopo
 
--- old/usr/src/cmd/fm/modules/common/fabric-xlate/Makefile	Tue Jan  8 12:32:25 2019
+++ new/usr/src/cmd/fm/modules/common/fabric-xlate/Makefile	Tue Jan  8 12:32:25 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 MODULE = fabric-xlate
 CLASS = common
@@ -41,3 +42,6 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-uninitialized
+
+# not linted
+SMATCH=off
--- old/usr/src/cmd/fm/modules/common/ip-transport/Makefile	Tue Jan  8 12:32:27 2019
+++ new/usr/src/cmd/fm/modules/common/ip-transport/Makefile	Tue Jan  8 12:32:27 2019
@@ -24,6 +24,7 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 MODULE = ip-transport
 CLASS = common
@@ -33,3 +34,6 @@
 
 LDLIBS += -lsocket -lnsl
 CERRWARN += -_gcc=-Wno-uninitialized
+
+# not linted
+SMATCH=off
--- old/usr/src/cmd/fm/modules/common/ses-log-transport/Makefile	Tue Jan  8 12:32:29 2019
+++ new/usr/src/cmd/fm/modules/common/ses-log-transport/Makefile	Tue Jan  8 12:32:29 2019
@@ -21,8 +21,8 @@
 #
 #Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
-   	
 MODULE = ses-log-transport
 CLASS = common
 SRCS = ses_log_transport.c
@@ -33,3 +33,6 @@
 LINTFLAGS += $(INCS)
 LDLIBS += -L$(ROOTLIB)/fm -ltopo -lseslog
 LDFLAGS += -R/usr/lib/fm
+
+# not linted
+SMATCH=off
--- old/usr/src/cmd/fmt/Makefile	Tue Jan  8 12:32:30 2019
+++ new/usr/src/cmd/fmt/Makefile	Tue Jan  8 12:32:31 2019
@@ -23,7 +23,7 @@
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/fmt/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= fmt
 
@@ -37,6 +37,9 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/fold/Makefile	Tue Jan  8 12:32:32 2019
+++ new/usr/src/cmd/fold/Makefile	Tue Jan  8 12:32:32 2019
@@ -19,12 +19,10 @@
 #
 # CDDL HEADER END
 #
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= fold
 
@@ -32,9 +30,11 @@
 
 CFLAGS  += $(CCVERBOSE)
 
+SMOFF += index_overflow
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTPROG)
 
--- old/usr/src/cmd/format/Makefile	Tue Jan  8 12:32:33 2019
+++ new/usr/src/cmd/format/Makefile	Tue Jan  8 12:32:33 2019
@@ -23,7 +23,7 @@
 # Use is subject to license terms.
 #
 # Copyright 2015 Nexenta Systems, Inc. All rights reserved.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= format
 
@@ -51,6 +51,9 @@
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-clobbered
 
+# not linted
+SMATCH=off
+
 SRCS= $(OBJS:.o=.c)
 
 ROOTSYMLINK= $(ROOTETCPROG)
--- old/usr/src/cmd/fs.d/Makefile	Tue Jan  8 12:32:35 2019
+++ new/usr/src/cmd/fs.d/Makefile	Tue Jan  8 12:32:35 2019
@@ -19,6 +19,7 @@
 # CDDL HEADER END
 #
 # Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 # Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 #
 
@@ -87,6 +88,9 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 $(DFPROG) :=	LDLIBS += -lcmdutils
 $(SPPROG) :=	LDLIBS += -lkstat
 
--- old/usr/src/cmd/fs.d/autofs/Makefile	Tue Jan  8 12:32:37 2019
+++ new/usr/src/cmd/fs.d/autofs/Makefile	Tue Jan  8 12:32:37 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1992, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2015 RackTop Systems.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 FSTYPE=		autofs
@@ -98,6 +99,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 OBJS=		$(AUTOOBJS) $(MOUNTOBJS) $(TYPEOBJS) \
 		$(SHAREOBJS) $(UNSHAREOBJS)
 
--- old/usr/src/cmd/fs.d/hsfs/labelit/Makefile	Tue Jan  8 12:32:38 2019
+++ new/usr/src/cmd/fs.d/hsfs/labelit/Makefile	Tue Jan  8 12:32:38 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		hsfs
 LIBPROG=	labelit
@@ -33,6 +34,9 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-variable
 
+# not linted
+SMATCH=off
+
 lint := PROG = $(LIBPROG)
 
 lint:	lint_PROG
--- old/usr/src/cmd/fs.d/hsfs/mount/Makefile	Tue Jan  8 12:32:40 2019
+++ new/usr/src/cmd/fs.d/hsfs/mount/Makefile	Tue Jan  8 12:32:40 2019
@@ -23,6 +23,7 @@
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		hsfs
 LIBPROG=	mount
@@ -40,3 +41,6 @@
 include		../../Makefile.mount.targ
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
+
+# not linted
+SMATCH=off
--- old/usr/src/cmd/fs.d/nfs/clear_locks/Makefile	Tue Jan  8 12:32:43 2019
+++ new/usr/src/cmd/fs.d/nfs/clear_locks/Makefile	Tue Jan  8 12:32:43 2019
@@ -20,11 +20,10 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= clear_locks
 
@@ -52,9 +51,12 @@
 
 CFLAGS		+=	$(CCVERBOSE)
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTUSRSBINPROG)
 
--- old/usr/src/cmd/fs.d/nfs/dfmounts/Makefile	Tue Jan  8 12:32:44 2019
+++ new/usr/src/cmd/fs.d/nfs/dfmounts/Makefile	Tue Jan  8 12:32:44 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		nfs
 LIBPROG=	dfmounts
@@ -43,6 +44,9 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# unknown type for func
+SMATCH =	off
+
 $(LIBPROG):	$(OBJS)
 		$(LINK.c) -o $@ $(OBJS) $(LDLIBS)
 		$(POST_PROCESS)
--- old/usr/src/cmd/fs.d/nfs/dfshares/Makefile	Tue Jan  8 12:32:45 2019
+++ new/usr/src/cmd/fs.d/nfs/dfshares/Makefile	Tue Jan  8 12:32:45 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		nfs
 LIBPROG=	dfshares
@@ -37,6 +38,10 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
+
 $(LIBPROG):	$(OBJS)
 		$(LINK.c) -o $@ $(OBJS) $(LDLIBS)
 		$(POST_PROCESS)
--- old/usr/src/cmd/fs.d/nfs/lockd/Makefile	Tue Jan  8 12:32:45 2019
+++ new/usr/src/cmd/fs.d/nfs/lockd/Makefile	Tue Jan  8 12:32:45 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 FSTYPE	  =	nfs
@@ -45,6 +46,10 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
+
 $(TYPEPROG):	$(OBJS)
 		$(LINK.c) -o $@ $(OBJS) $(LDLIBS)
 		$(POST_PROCESS)
--- old/usr/src/cmd/fs.d/nfs/mount/Makefile	Tue Jan  8 12:32:46 2019
+++ new/usr/src/cmd/fs.d/nfs/mount/Makefile	Tue Jan  8 12:32:46 2019
@@ -19,7 +19,7 @@
 # CDDL HEADER END
 #
 # Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2017, Joyent, Inc. All rights reserved.
+# Copyright 2018, Joyent, Inc. All rights reserved.
 #
 # cmd/fs.d/nfs/mount/Makefile
 
@@ -50,6 +50,9 @@
 CERRWARN += -_gcc=-Wno-address
 CERRWARN += -_gcc=-Wno-unused-function
 
+# unknown type for func
+SMATCH=off
+
 #
 # Message catalog
 #
--- old/usr/src/cmd/fs.d/nfs/mountd/Makefile	Tue Jan  8 12:32:49 2019
+++ new/usr/src/cmd/fs.d/nfs/mountd/Makefile	Tue Jan  8 12:32:49 2019
@@ -23,6 +23,7 @@
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 # Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE	  =	nfs
 TYPEPROG  =	mountd
@@ -44,6 +45,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-switch
 
+# not linted
+SMATCH=off
+
 $(TYPEPROG):	$(OBJS)
 		$(COMPILE.d) -s $(DSRC) -o $(DOBJ) $(OBJS)
 		$(LINK.c) -o $@ $(DOBJ) $(OBJS) $(LDLIBS)
--- old/usr/src/cmd/fs.d/nfs/nfs4cbd/Makefile	Tue Jan  8 12:32:52 2019
+++ new/usr/src/cmd/fs.d/nfs/nfs4cbd/Makefile	Tue Jan  8 12:32:52 2019
@@ -23,6 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		nfs
 TYPEPROG=	nfs4cbd
@@ -40,6 +41,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-extra
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:	$(TYPEPROG)
--- old/usr/src/cmd/fs.d/nfs/nfsd/Makefile	Tue Jan  8 12:32:55 2019
+++ new/usr/src/cmd/fs.d/nfs/nfsd/Makefile	Tue Jan  8 12:32:55 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		nfs
 TYPEPROG=	nfsd
@@ -42,6 +42,9 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-extra
 
+# not linted
+SMATCH=off
+
 $(TYPEPROG):	$(OBJS)
 		$(CC) -o $@ $(OBJS) $(LDFLAGS) $(LDLIBS)
 		$(POST_PROCESS)
--- old/usr/src/cmd/fs.d/nfs/nfslog/Makefile	Tue Jan  8 12:32:57 2019
+++ new/usr/src/cmd/fs.d/nfs/nfslog/Makefile	Tue Jan  8 12:32:57 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		nfs
 TYPEPROG=	nfslogd
@@ -42,6 +43,10 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-type-limits
+
+# not linted
+SMATCH=off
+
 CPPFLAGS += 	-D_FILE_OFFSET_BITS=64
 
 #
--- old/usr/src/cmd/fs.d/nfs/nfsmapid/Makefile	Tue Jan  8 12:33:00 2019
+++ new/usr/src/cmd/fs.d/nfs/nfsmapid/Makefile	Tue Jan  8 12:33:00 2019
@@ -22,7 +22,9 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
+
 FSTYPE	  =	nfs
 TYPEPROG  =	nfsmapid
 TESTPROG  =	nfsmapid_test
@@ -44,6 +46,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 all:		$(TYPEPROG) $(TESTPROG)
 
 $(TYPEPROG):	$(OBJS) $(DSRC)
--- old/usr/src/cmd/fs.d/nfs/nfsref/Makefile	Tue Jan  8 12:33:03 2019
+++ new/usr/src/cmd/fs.d/nfs/nfsref/Makefile	Tue Jan  8 12:33:03 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/fs.d/nfs/nfsref/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		nfsref
 
@@ -36,6 +36,9 @@
 
 CERRWARN += -_gcc=-Wno-unused-variable
 
+# not linted
+SMATCH=off
+
 LDLIBS += -lreparse -lnvpair -lnsl -lumem
 
 $(PROG):	$(OBJS)
--- old/usr/src/cmd/fs.d/nfs/nfsstat/Makefile	Tue Jan  8 12:33:06 2019
+++ new/usr/src/cmd/fs.d/nfs/nfsstat/Makefile	Tue Jan  8 12:33:06 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/fs.d/nfs/nfsstat/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		nfsstat
 
@@ -42,6 +42,10 @@
 
 CPPFLAGS += -I$(STATCOMMONDIR)
 CERRWARN += -_gcc=-Wno-parentheses
+
+# not linted
+SMATCH=off
+
 LDLIBS += -lkstat -lnsl
 
 $(PROG):	$(OBJS)
--- old/usr/src/cmd/fs.d/nfs/rp_basic/Makefile.com	Tue Jan  8 12:33:08 2019
+++ new/usr/src/cmd/fs.d/nfs/rp_basic/Makefile.com	Tue Jan  8 12:33:08 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libnfs_basic.a
 VERS =		.1
@@ -44,6 +45,9 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-D_REENTRANT -I$(SRC)/cmd/fs.d/nfs/lib
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
